Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## arrival_generator
Class ArrivalGenerator

    java.lang.Object
      arrival_generator.ArrivalGenerator

Direct Known Subclasses:
  EXP_AND_UNI_AG, EXP_DIST_AG, FILE_READ_AG, UNI_DIST_AG

    public abstract class ArrivalGenerator

extends java.lang.Object

To add a new Workload scheme, A concrete class that extends this class must be used an must implement the following methods. This class determines what services should be provided to a concrete arrival generator class

Author:
  Ben Kybartas

Field Summary
`java.lang.String` | `description` Provide a description for the arrival generator used

Constructor Summary
`ArrivalGenerator()`

Method Summary
`java.lang.String` | `getDescription()`
`abstract long[]` | `getNextJobInfo()` Only one method should be used in a new workload scheme, each time it is called it will return an array which contains the following information in order JobClassID, Arrival Rate, Iterations
`void` | `setDescription(java.lang.String description)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### description

    public java.lang.String description

  Provide a description for the arrival generator used

Constructor Detail

### ArrivalGenerator

    public ArrivalGenerator()

Method Detail

### getDescription

    public java.lang.String getDescription()

### setDescription

    public void setDescription(java.lang.String description)

### getNextJobInfo

    public abstract long[] getNextJobInfo()

  Only one method should be used in a new workload scheme, each time it is called it will return an array which contains the following information in order JobClassID, Arrival Rate, Iterations

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD